Subject: Re: [PATCH net-next 0/2] net: Remove iocb argument from sendmsg and recvmsg

From: Ying Xue <[email-masked]>
Date: Mon, 2 Mar 2015 08:52:56 +0800

On 03/01/2015 06:12 AM, David Miller wrote:
> From: Ying Xue <[email-masked]>
> Date: Fri, 27 Feb 2015 19:06:35 +0800
> 
>> Currently there is only one user - TIPC whose sendmsg() instances
>> using iocb argument. Meanwhile, there is no user using iocb argument
>> in its recvmsg() instance. Therefore, if we eliminate the werid usage
>> of iobc argument from TIPC, the iocb argument can be removed from
>> all sendmsg() and recvmsg() instances of the whole network stack.
>>
>> By the way, as patch #2 is very big, I can divide it into smaller
>> patches regarding module in next version if necessary.
>>
>> Reference:
>> https://patchwork.ozlabs.org/patch/433960/
> 
> You didn't even properly compile test this patch series:
> 
> net/dccp/proto.c:744:5: error: conflicting types for ‘dccp_sendmsg’
>  int dccp_sendmsg(struct sock *sk, struct msghdr *msg, size_t len)
>      ^
> In file included from net/dccp/proto.c:37:0:
> net/dccp/dccp.h:313:5: note: previous declaration of ‘dccp_sendmsg’ was here
>  int dccp_sendmsg(struct kiocb *iocb, struct sock *sk, struct msghdr *msg,
>      ^
>  ...
> net/dccp/proto.c:808:5: error: conflicting types for ‘dccp_recvmsg’
>  int dccp_recvmsg(struct sock *sk, struct msghdr *msg, size_t len, int nonblock,
>      ^
> In file included from net/dccp/proto.c:37:0:
> net/dccp/dccp.h:315:5: note: previous declaration of ‘dccp_recvmsg’ was here
>  int dccp_recvmsg(struct kiocb *iocb, struct sock *sk,
>      ^
> 

Oops! When I verified it, I almost enabled all functions and modules associated
with networking except DCCP module I accidentally missed. Thank you for the
report. I would carefully verified the patch again.

Regards,
Ying